/*===================================================================

The Medical Imaging Interaction Toolkit (MITK)

Copyright (c) German Cancer Research Center,
Division of Medical and Biological Informatics.
All rights reserved.

This software is distributed WITHOUT ANY WARRANTY; without
even the implied warranty of MERCHANTABILITY or FITNESS FOR
A PARTICULAR PURPOSE.

See LICENSE.txt or http://www.mitk.org for details.

===================================================================*/

#include "mitkNavigationDataToIGTLMessageFilter.h"
#include "mitkNavigationDataSequentialPlayer.h"
#include <mitkIGTConfig.h>
#include <mitkTestingMacros.h>
#include <igtlPositionMessage.h>
#include <igtlTransformMessage.h>
#include <igtlQuaternionTrackingDataMessage.h>
#include <igtlTrackingDataMessage.h>

#include <iostream>

/**
*  Simple test for the class "NavigationDataToIGTLMessageFilter".
*
*  argc and argv are the command line parameters which were passed to
*  the ADD_TEST command in the CMakeLists.txt file. For the automatic
*  tests, argv is either empty for the simple tests or contains the filename
*  of a test image for the image tests (see CMakeLists.txt).
*/

mitk::NavigationDataToIGTLMessageFilter::Pointer m_NavigationDataToIGTLMessageFilter;

/*static void Setup()
{
  m_NavigationDataToIGTLMessageFilter = mitk::NavigationDataToIGTLMessageFilter::New();
}*/

/*static void SetInputs()
{
  //Build up test data
  mitk::NavigationData::Pointer nd0 = mitk::NavigationData::New();
  mitk::NavigationData::Pointer nd1 = mitk::NavigationData::New();
  mitk::NavigationData::Pointer nd2 = mitk::NavigationData::New();
  mitk::NavigationData::Pointer nd3 = mitk::NavigationData::New();

  mitk::NavigationData::PositionType point0;
  point0[0] = 1.0;
  point0[1] = 2.0;
  point0[2] = 3.0;
  mitk::NavigationData::OrientationType orientation0;
  orientation0.put(0, 1.0);
  orientation0.put(1, 0.0);
  orientation0.put(2, 0.0);
  orientation0.put(3, 0.0);
  nd0->SetPosition(point0);
  nd0->SetOrientation(orientation0);
  nd0->SetDataValid(true);

  mitk::NavigationData::PositionType point1;
  point1[0] = 4.0;
  point1[1] = 5.0;
  point1[2] = 6.0;
  mitk::NavigationData::OrientationType orientation1;
  orientation1.put(0, 21.0);
  orientation1.put(1, 22.0);
  orientation1.put(2, 23.0);
  orientation1.put(3, 24.0);
  nd1->SetPosition(point1);
  nd1->SetOrientation(orientation1);
  nd1->SetDataValid(true);

  mitk::NavigationData::PositionType point2;
  point2[0] = 7.0;
  point2[1] = 8.0;
  point2[2] = 9.0;
  mitk::NavigationData::OrientationType orientation2;
  orientation2.put(0, 31.0);
  orientation2.put(1, 32.0);
  orientation2.put(2, 33.0);
  orientation2.put(3, 34.0);
  nd2->SetPosition(point2);
  nd2->SetOrientation(orientation2);
  nd2->SetDataValid(true);

  mitk::NavigationData::PositionType point3;
  point3[0] = 10.0;
  point3[1] = 11.0;
  point3[2] = 12.0;
  mitk::NavigationData::OrientationType orientation3;
  orientation3.put(0, 0.0);
  orientation3.put(1, 0.0);
  orientation3.put(2, 0.0);
  orientation3.put(3, 1.0);
  nd3->SetPosition(point3);
  nd3->SetOrientation(orientation3);
  nd3->SetDataValid(true);

  m_NavigationDataToIGTLMessageFilter->SetInput(0, nd0);
  m_NavigationDataToIGTLMessageFilter->SetInput(1, nd1);
  m_NavigationDataToIGTLMessageFilter->SetInput(2, nd2);
  m_NavigationDataToIGTLMessageFilter->SetInput(3, nd3);
}*/



int mitkNavigationDataToIGTLMessageFilterTest(int /* argc */, char* /*argv*/[])
{
  MITK_TEST_BEGIN("NavigationDataToIGTLMessageFilter");
  //COMP: Deactivated these tests because they dont work atm..
  //NavigationDataToIGTLMessageFilterContructor_DefaultCall_IsNotEmpty();
  //TestModeQTransMsg();
  //TestModeTransMsg();

  MITK_TEST_END();
}
